/*
 *   senator - ASF video stream server
 *   Copyright (C) 2002  anonymous author
 *
 *
 *  senator is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *   
 *  Senator is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *	
 *  You should have received a copy of the GNU General Public License
 *  along with senator; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
 *
 */
    
static char *_itoa(unsigned i, char *a, unsigned r)
{
    if (i/r > 0) a = _itoa(i/r,a,r);
    *a = "0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ"[i%r];
    return a+1;
}
			
/*
** itoa(i,a,r)
**      transforms integer i into an ascii string
**      and stores the result in a; string is encoded
**      in the base indicated by r.
**      Returns a
**
**  Usage:
**         char buffer[65],
**              *p_buff;
**
**    p_buff = itoa(100,buffer,10); // decimal 
**    printf("Decimal: %s\n",p_buff);
**
**         p_buff = itoa(255,buffer,2);  // binary 
**    printf("Binary: %s\n",p_buff);
**
**         p_buff = itoa(666,buffer,16); // hex 
**    printf("Hex: %s\n",p_buff);
**        
*/
char *itoa(int i, char *a, int r)
{
        r = ((r < 2) || (r > 36)) ? 10 : r;
        if (i < 0)
        {
            *a = '-';
            *_itoa(-i,a+1,r) = 0;
        }
        else *_itoa(i,a,r) = 0;
        return a;
}
